package "removeEdgeVoids"
version "alpha"


option "configFile" - "Configuration filename" string optional

option "partFile" - "Particle file from generateFromCatalog" string required

option "extraInfo" - "Extra particle file from generateFromCatalog" string required

option "voidDesc" - "Void list from ZOBOV" string required

option "void2Zone" - "Zone file from ZOBOV" string required

option "partVol" - "Particle volume file from ZOBOV" string required

option "zone2Part" - "Particle file from ZOBOV" string required
option "mockIndex" - "Beginning index of mock particles" int required

option "numVoids" - "Number of voids" int required

option "isObservation" - "We are working with observational data" flag off

option "zMin" - "Minimum redshift of sample" double optional default="0.0"
option "zMax" - "Maximum redshift of sample" double optional default="10.0"

option "rMin" - "Minimum allowable void radius" double optional default="0.0"

option "outputDir" - "Directory to place outputs" string required
option "sampleName" - "unique string to assign to outputs" string required

option "periodic" - "Set of edges which are periodic" string optional default="xy"

option "tolerance" - "Fraction of void width to consider edge" double optional default="1.0"

option "centralRadFrac" - "Fraction of void radii to consider central region" double optional default="4"

option "maxCentralDen" - "Maximum central density to accept as a void" double optional default="0.2" 
